Bug 179543 - [PATCH] net-im/jabberd : Fix build with clang
[PATCH] net-im/jabberd : Fix build with clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Matuska
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 23:30 UTC by Guido Falsi
Modified: 2013-06-24 15:41 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (737 bytes, patch)
2013-06-13 23:30 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2013-06-13 23:30:00 UTC
Fix build with clang due to function returniing values when they
shuuld and vice versa.

The patches are coming from the porject's own github repository.

Maintainer is CCed.

Fix: Property changes on: files/patch-s2s-out.c
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property


Property changes on: files/patch-sm-mod_roster.c
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property--YwypIqsEjZTi2c0WvLqnjUq3imLqufAlmeMkHkNGxqrkvf8d
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: files/patch-s2s-out.c
===================================================================
--- files/patch-s2s-out.c	(revision 0)
+++ files/patch-s2s-out.c	(working copy)
@@ -0,0 +1,11 @@
+--- s2s/out.c.orig	2012-08-22 08:03:58.000000000 +0200
++++ s2s/out.c	2013-06-13 23:25:13.528682146 +0200
+@@ -627,7 +627,7 @@
+             nad_free(pkt->nad);
+         free(pkt);
+ 
+-        return;
++        return 0;
+     }
+ 
+     /* new route key */
Comment 1 Edwin Groothuis freebsd_committer 2013-06-13 23:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-06-24 14:53:37 UTC
Author: mm
Date: Mon Jun 24 13:53:29 2013
New Revision: 321681
URL: http://svnweb.freebsd.org/changeset/ports/321681

Log:
  Unbreak build with clang
  
  PR:		ports/179543
  Submitted by:	Guido Falsi <madpilot@FreeBSD.org>

Added:
  head/net-im/jabberd/files/patch-s2s-out.c   (contents, props changed)
  head/net-im/jabberd/files/patch-sm-mod_roster.c   (contents, props changed)
Modified:
  head/net-im/jabberd/Makefile

Modified: head/net-im/jabberd/Makefile
==============================================================================
--- head/net-im/jabberd/Makefile	Mon Jun 24 13:12:10 2013	(r321680)
+++ head/net-im/jabberd/Makefile	Mon Jun 24 13:53:29 2013	(r321681)
@@ -3,6 +3,7 @@
 
 PORTNAME=	jabberd
 PORTVERSION=	2.2.17
+PORTREVISION=	1
 CATEGORIES=	net-im
 MASTER_SITES=	http://cloud.github.com/downloads/jabberd2/jabberd2/
 

Added: head/net-im/jabberd/files/patch-s2s-out.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jabberd/files/patch-s2s-out.c	Mon Jun 24 13:53:29 2013	(r321681)
@@ -0,0 +1,11 @@
+--- s2s/out.c.orig	2012-08-22 08:03:58.000000000 +0200
++++ s2s/out.c	2013-06-13 23:25:13.528682146 +0200
+@@ -627,7 +627,7 @@
+             nad_free(pkt->nad);
+         free(pkt);
+ 
+-        return;
++        return 0;
+     }
+ 
+     /* new route key */

Added: head/net-im/jabberd/files/patch-sm-mod_roster.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jabberd/files/patch-sm-mod_roster.c	Mon Jun 24 13:53:29 2013	(r321681)
@@ -0,0 +1,11 @@
+--- sm/mod_roster.c.orig	2012-02-12 22:36:18.000000000 +0100
++++ sm/mod_roster.c	2013-06-13 23:42:35.669583304 +0200
+@@ -460,7 +460,7 @@
+     log_debug(ZONE, "added %s to roster (to %d from %d ask %d name %s ngroups %d)", jid_full(item->jid), item->to, item->from, item->ask, item->name, item->ngroups);
+ 
+     if (sm_storage_rate_limit(sess->user->sm, jid_user(sess->user->jid)))
+-        return -stanza_err_RESOURCE_CONSTRAINT;
++        return;
+ 
+     /* save changes */
+     _roster_save_item(sess->user, item);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2013-06-24 15:41:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!